
package de.ivu.elect.presentation.staat.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.staat.boundary.StaatenGruppeChangeEvent;
import de.ivu.elect.business.staat.boundary.StaatenGruppeConversationSelect;
import de.ivu.elect.business.staat.entity.StaatenGruppe;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractStaatenGruppeAction extends AbstractActionEntry<StaatenGruppe> {

  private static final long serialVersionUID = 1L;

  @Inject
  private StaatenGruppeChangeEvent staatenGruppeChangeEvent;

  @Inject
  protected StaatenGruppeConversationSelect staatenGruppeConversationSelect;

  public AbstractStaatenGruppeAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull StaatenGruppe staatenGruppe) {
    return false;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    staatenGruppeChangeEvent.sendChangeEvent();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
